package com.ruoyi.bst.creditPay.service;

import java.util.List;

import com.ruoyi.bst.creditPay.domain.CreditPay;
import com.ruoyi.bst.creditPay.domain.CreditPayQuery;
import com.ruoyi.bst.creditPay.domain.CreditPayVO;

/**
 * 挂账支付Service接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface CreditPayService
{
    /**
     * 查询挂账支付
     *
     * @param id 挂账支付主键
     * @return 挂账支付
     */
    public CreditPayVO selectCreditPayById(Long id);

    /**
     * 查询挂账支付列表
     *
     * @param creditPay 挂账支付
     * @return 挂账支付集合
     */
    public List<CreditPayVO> selectCreditPayList(CreditPayQuery creditPay);

    /**
     * 新增挂账支付
     *
     * @param creditPay 挂账支付
     * @return 结果
     */
    public int insertCreditPay(CreditPay creditPay);

    /**
     * 修改挂账支付
     *
     * @param creditPay 挂账支付
     * @return 结果
     */
    public int updateCreditPay(CreditPay creditPay);

    /**
     * 批量删除挂账支付
     *
     * @param ids 需要删除的挂账支付主键集合
     * @return 结果
     */
    public int deleteCreditPayByIds(Long[] ids);

    /**
     * 删除挂账支付信息
     *
     * @param id 挂账支付主键
     * @return 结果
     */
    public int deleteCreditPayById(Long id);
}
